<template>
	<view class="" style="height: 100vh;width: 100%;background-color: #f2f2f2;">
    <div style="height: 10px;"></div>
    <view class="g_mt_10" v-if="agencyInfo.supplierAccount == 1">
			<view class="g_p_16 g_bg_f g_radius_8 g_flex_row_between flex_center g_ml_10 g_mr_10" hover-class="thover" 
            @click="goPage('/root/bind/applyList')">
				<view class="g_flex_row_start flex_center">
					<img src="https://bocai-cms.oss-cn-beijing.aliyuncs.com/bf586cad-c6f0-4417-86c8-6cf55310ace7_123456.svg" class="g_w_48 g_h_48 g_radius_50" alt="" />
					<view class="g_flex_column_between g_ml_10">
						<view class="g_fs_16 g_c_0 g_fw_600 g_mb_6">新的代理</view>
						<view class="g_c_9">您有新代理加入申请待审批</view>
					</view>
				</view>
			</view>
		</view>
    <view class="g_w_all" hover-class="none" hover-stop-propagation="false">
      <fensiPanel />
    </view>
	</view>
</template>
<script>
import fensiPanel from './fensi.vue'
/* 自定义空页面
 */
export default {
  components: {
    fensiPanel,
  },
	data() {
		return {
      agencyInfo: {}, // 登陆者的代理信息
      isJm:uni.getStorageSync("apply-userinfo") && uni.getStorageSync("apply-userinfo").agencyId && uni.getStorageSync("apply-userinfo").agencyId == '114827',
			themeColor: getApp().globalData.themeColor,
			themeBackgroundColor: getApp().globalData.themeBackgroundColor,
    };
	},
  onShow(){
    let that = this;
    that.themeColor = getApp().globalData.themeColor;
    if (uni.getStorageSync("apply-token")) {

			this.G.checkToken().then(() => {
				that.agencyInfo = uni.getStorageSync("agencyInfo");
			});
		}
  },
  methods:{
    goPage($path) {
			this.G.isLogin();
			if (this.G.isLogin()) {
				uni.navigateTo({
					url: $path,
				});
			}
		},
  }
};
</script>

<style></style>